Bug 12606 - Visual Studio threads window only work in one debug session
Summary: Visual Studio threads window only work in one debug session
Status: RESOLVED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Debugger (show other bugs)
Version: 3.0
Hardware: PC Windows
: --- major
Target Milestone: 4.4.0 (C10)
Assignee: Joaquin Jares
URL:
Depends on:
Blocks:
 
Reported: 2013-06-08 11:57 UTC by fxam
Modified: 2017-01-13 12:54 UTC (History)
22 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Blank (abnormal) threads window when breakpoint is hit. (7.05 KB, image/png)
2013-06-08 11:57 UTC, fxam
Details
Normal threads window when breakpoint is hit (13.22 KB, image/png)
2013-06-08 11:58 UTC, fxam
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description fxam 2013-06-08 11:57:20 UTC
Created attachment 4087 [details]
Blank (abnormal) threads window when breakpoint is hit.

Affected system:
* Visual Studio 2012 Pro with Windows 7 Pro 64 bit
* Visual Studio 2012 Ultimate with Windows 8 Pro 64 bit

To reproduce:
1. Open an Android project in Visual Studio
2. Set a breakpoint
3. Debug
4. When the breakpoint is hit, open the Threads window (Debug -> Windows -> Threads).
5. The threads are shown.
6. Stop the debugging
7. Debug again.
8. Breakpoint hit but Threads window is blank.
9. Restarting Visual Studio will make Threads window working again, but only in one debug session.
Comment 1 fxam 2013-06-08 11:58:10 UTC
Created attachment 4088 [details]
Normal threads window when breakpoint is hit
Comment 2 fxam 2013-06-08 12:06:41 UTC
Happens in two computers. Only happens in Android project. Doesn't happen in C# desktop project.
Comment 3 Jeremy Kolb 2013-06-09 14:09:59 UTC
I hit this all the time.
Comment 5 Mohit Kheterpal 2013-07-09 10:51:24 UTC
Regression Status : Not a Regression.

This issue also exist with stable X.Android 4.6.08007.
Comment 6 PJ 2013-11-19 16:38:21 UTC
This bug was targeted for a past milestone, moving to the next active non-hotfix milestone.
Comment 7 Nick Neumann 2015-02-17 14:09:59 UTC
This is still happening. Further, it doesn't even work the first time for me. I can *never* see threads in Visual Studio, even after restarting Visual Studio.
Comment 8 Jeremy Kolb 2015-02-17 14:23:52 UTC
I never see threads anymore either.  Same thing with loaded modules.  It makes debugging threading issues VERY difficult.
Comment 10 Jeremy Kolb 2015-03-02 17:04:21 UTC
Now that I'm adding async/await to my app this is really hurting.
Comment 12 philip 2015-04-11 03:14:57 UTC
This bug is pretty major and already 2 years old.  Any chance of getting a fix for this?
Comment 15 Rajneesh Kumar 2015-07-15 10:49:34 UTC
I have checked this issue with the latest stable build XVS 3.11.666 and observed that this issue still exist with this build. I observed that Visual Studio threads window only work in one debug session. However restarting Visual Studio will make Threads window working again, but only for one debug session.

Screencast: http://www.screencast.com/t/4h5zOiXpaRaK

Thanks..!

Environment Info:

Microsoft Visual Studio Professional 2013
Version 12.0.31101.00 Update 4
Microsoft .NET Framework
Version 4.5.50938
Installed Version: Professional
Xamarin   3.11.666.0 (ebae43a)
Visual Studio extension to enable development for Xamarin.iOS and
Xamarin.Android.
Xamarin.Android   5.1.4.16 (5f55a9ef61c11b6ce0890bc91e4c71b1b92be214)
Visual Studio plugin to enable development for Xamarin.Android.
Xamarin.iOS   8.10.2.0 (67b390d0d1bd741582cf7b7fd3ffea08583a3f83)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 18 Jeremy Kolb 2016-03-21 19:38:21 UTC
Please fix this.
Comment 19 microsoft 2016-04-14 11:03:08 UTC
Same issue here. Is there any way I could provide more info that would help fix the problem?
Comment 20 Jose Gallardo 2016-12-27 22:10:22 UTC
Updating the target milestone to C10.
Comment 21 Joaquin Jares 2017-01-13 12:54:57 UTC
This bug is now fixed. Marked as Resolved for verification.